Bug 156062 - /usr/lib64/cyrus-imapd/deliver has moved to /usr/lib/cyrus-imapd/deliver in update cyrus-imapd-2.2.12-1.1.fc3
/usr/lib64/cyrus-imapd/deliver has moved to /usr/lib/cyrus-imapd/deliver in u...
Status: CLOSED NOTABUG
Product: Fedora
Classification: Fedora
Component: cyrus-imapd (Show other bugs)
3
x86_64 Linux
medium Severity medium
: ---
: ---
Assigned To: John Dennis
Brian Brock
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2005-04-27 05:01 EDT by Ian Williams
Modified: 2007-11-30 17:11 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-04-28 16:09:49 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Ian Williams 2005-04-27 05:01:29 EDT
Description of problem:

/usr/lib64/cyrus-imapd/deliver has moved to /usr/lib/cyrus-imapd/deliver in
update cyrus-imapd-2.2.12-1.1.fc3

There is no note of this in the release notes so I assume it was not intentional.

Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:


Additional info:
Comment 1 John Dennis 2005-04-27 14:31:25 EDT
Actually this was intentional, the error was in not properly documenting it
before the package hit the update channel, which will be immediately corrected
when the update announcement is sent out. Please refer to bug #156121 for an
explanation.

Also, its more than deliver that moved, everything under /usr/lib64/cyrus-imapd
moved to /usr/lib/cyrus-imapd. The package is self-consistent. Only things
outside the package which reference package components might be affected, of
which deliver is best example (although I would encourage you to use lmtp
instead of deliver).

My appologies for catching you unaware with this change. It's already moved in
FC4 and if you were to upgrade you would run into the same issue. Correct
handling of multilib in has been an iterative process and there have been some
mistakes along the way, better to fix them then let them get entrenched.
Comment 2 Ian Williams 2005-04-27 15:44:55 EDT
Thanks for the feedback.

I've just tried lmtp (changed mailbox_transport = cyrus to mailbox_transport =
lmtp:unix:/var/lib/imap/socket/lmtp). In /var/log/messages I have:

Apr 27 19:13:17 storage kernel: lmtp[23608] general protection rip:34bce714b4
rsp:7fbfffe8a8 error:0

and in /var/log/maillog:
Apr 27 19:13:17 storage postfix/smtpd[23603]: connect from acer.ipw[192.168.1.248]
Apr 27 19:13:17 storage postfix/smtpd[23603]: 8AF1A31719C:
client=acer.ipw[192.168.1.248]
Apr 27 19:13:17 storage postfix/cleanup[23606]: 8AF1A31719C:
message-id=<200504271916.j3RJGsJd031197@acer.ipw>
Apr 27 19:13:17 storage postfix/qmgr[23372]: 8AF1A31719C: from=<ian@acer.ipw>,
size=641, nrcpt=1 (queue active)
Apr 27 19:13:17 storage postfix/smtpd[23603]: disconnect from
acer.ipw[192.168.1.248]
Apr 27 19:13:17 storage lmtpunix[23576]: accepted connection
Apr 27 19:13:17 storage lmtpunix[23576]: lmtp connection preauth'd as postman
Apr 27 19:13:17 storage master[23609]: about to exec /usr/lib/cyrus-imapd/lmtpd
Apr 27 19:13:17 storage lmtpunix[23609]: executed
Apr 27 19:13:17 storage postfix/master[23370]: warning: process
/usr/libexec/postfix/lmtp pid 23608 killed by signal 11
Apr 27 19:13:17 storage postfix/master[23370]: warning:
/usr/libexec/postfix/lmtp: bad command startup -- throttling
Apr 27 19:13:17 storage postfix/local[23607]: warning: premature end-of-input on
private/lmtp socket while reading input attribute name
Apr 27 19:13:17 storage postfix/local[23607]: warning: private/lmtp socket:
malformed response
Apr 27 19:14:17 storage master[23565]: process 23576 exited, status 0


Comment 3 John Dennis 2005-04-27 16:52:13 EDT
Hmm... that's not good :-)

lmtp between cyrus and postfix is known to work on i386, I assume you are
running this on x86_64. (John scratches his head and wonders if this is a 64bit
only problem)

Can you please tell me a few things:

1) The output of rpm -q postfix

2) The value of the lmtp entry in /etc/cyrus.conf (or just attach the file).

Comment 4 Ian Williams 2005-04-27 18:00:06 EDT
Imagine my surprise: rpm -q postfix reports postfix is not installed!

cat /etc/webmin/postfix/version reports 2.1.5

I have not install postfix from anywhere else. Anyway I've reinstalled postfix
over the top and now lmtp works. There must have been a problem with the
original installation that I did not spot.

Thanks for your help.

Note You need to log in before you can comment on or make changes to this bug.